########################################################################
# AMUSED
########################################################################

alias amused-next="_amused_cmd next"
alias amused-prev="_amused_cmd prev"
alias amused-play="_amused_cmd play"
alias amused-stop="_amused_cmd stop"
alias amused-seek="_amused_cmd seek 30"
alias amused-jump="_amused_jump"

_amused_cmd() {
    . ~/.bin/_config
    amused "${@}"
    STATUS="$(amused status | head -1 | cut -d'/' -f5-)"
    NOTIFY_CMD "$STATUS"
    echo "now playing: $STATUS"
}

_amused_jump() {
    _amused_cmd jump \
        "$(echo "$(amused show |  cut -d'/' -f5-)" | fzf -i -e)"
}
